Fatal Error in Front- und Backend nach Update von Ea2 auf 6.1.0

Ich werde aus der Meldung leider gar nicht schlau. Hat jemand eine Idee?
Die verwendeten Plugins waren alle als kompatibel angezeigt. 

Rückgängig vielleicht durch Löschen des entsprechenden Ordners via FTP files/update/…?

Fatal error : Uncaught Symfony\Component\DependencyInjection\Exception\ServiceNotFoundException: The service „SwagMigrationAssistant\Migration\Writer\LanguageWriter“ has a dependency on a non-existent service „Shopware\Core\Framework\Language\LanguageDefinition“. in /homepages/1/d802635310/htdocs/vendor/symfony/dependency-injection/Compiler/CheckExceptionOnInvalidReferenceBehaviorPass.php:86 Stack trace: #0 /homepages/1/d802635310/htdocs/vendor/symfony/dependency-injection/Compiler/AbstractRecursivePass.php(82): Symfony\Component\DependencyInjection\Compiler\CheckExceptionOnInvalidReferenceBehaviorPass->processValue(Object(Symfony\Component\DependencyInjection\Reference), false) #1 /homepages/1/d802635310/htdocs/vendor/symfony/dependency-injection/Compiler/CheckExceptionOnInvalidReferenceBehaviorPass.php(49): Symfony\Component\DependencyInjection\Compiler\AbstractRecursivePass->processValue(Array, false) #2 /homepages/1/d802635310/htdocs/vendor/symfony/dependency-injection/Compiler/AbstractRecursivePass.php(91): Symfony\Co in  /homepages/1/d802635310/htdocs/vendor/symfony/dependency-injection/Compiler/CheckExceptionOnInvalidReferenceBehaviorPass.php  on line  86

Geh mal in die Datenbank in die Tabelle “plugin” und setz bei den Migration Plugin das active auf 0. 

Vermutich ist deine installierte Migration Plugin Version nicht kompatibel mit Shopware 6.1

1 Like

Meinst du in der „SwagMigrationAssistant“ php? Da steht von active überhaupt nichts drin. 
Wäre es alternativ möglich, den Ordner zu löschen und das Tool neu zu installieren? Oder bleiben da ungewollte Reste?

@Shyim schrieb:

Geh mal in die Datenbank in die Tabelle „plugin“ und setz bei den Migration Plugin das active auf 0. 

Vermutich ist deine installierte Migration Plugin Version nicht kompatibel mit Shopware 6.1

Es geht um die MySQL bzw. MariaDB Datenbank, da müsstest du schauen.

1 Like

Aaaah. Das habe ich mal gemacht. Es brachte zwar nicht auf Anhieb Besserung, aber nachdem ich dort alle Plugins auf active 0 gesetzt habe, komme ich wieder ins Backend  und das Frontend ist auch sichtbar. Ich danke euch beide sehr :) 

@SmartStylez schrieb:

Es geht um die MySQL bzw. MariaDB Datenbank, da müsstest du schauen.